%define major 4
%define libname %mklibname dvdnav %{major}
%define develname %mklibname dvdnav -d

Name:		libdvdnav
Summary:	DVD Navigation library
Version:	4.2.0
Release:	3
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.mplayerhq.hu
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(dvdread)

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{libname}
Summary:	DVD Navigation library
Group:		System/Libraries

%description -n	%{libname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package -n	%{develname}
Summary:	DVD Navigation library headers and support files
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname dvdnav 4 -d} < 4.2.0

%description -n	%{develname}
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep
%setup -q

%build
./autogen.sh
%define _disable_ld_no_undefined 1
%configure2_5x
%make

%install
%makeinstall_std
#gw remove buildroot
perl -pi -e "s^%{buildroot}^^" %{buildroot}%{_bindir}/dvdnav-config

%multiarch_binaries %{buildroot}%{_bindir}/dvdnav-config

%files -n %{libname}
%doc COPYING README
%{_libdir}/libdvdnavmini.so.%{major}*
%{_libdir}/libdvdnav.so.%{major}*

%files -n %{develname}
%doc COPYING NEWS TODO AUTHORS
%{_bindir}/dvdnav-config
%{multiarch_bindir}/dvdnav-config
%{_libdir}/libdvdnavmini.so
%{_libdir}/libdvdnav.so
%{_includedir}/dvdnav/
%{_datadir}/aclocal/dvdnav.m4
%{_libdir}/pkgconfig/dvdnav.pc
%{_libdir}/pkgconfig/dvdnavmini.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.2.0-3
+ Revision: 391c384
- MassBuild#440: Increase release tag


